Loading...
Searching...
No Matches
QGpgME::RevokeKeyJob Class Referenceabstract
Inheritance diagram for QGpgME::RevokeKeyJob:
[legend]
Collaboration diagram for QGpgME::RevokeKeyJob:
[legend]

## Signals

void | result (const GpgME::Error &result, const QString &auditLogAsHtml={}, const GpgME::Error &auditLogError={})
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const GpgME::Key &key, GpgME::RevocationReason reason=GpgME::RevocationReason::Unspecified, const std::vector< std::string > &description={})=0
virtual GpgME::Error | exec (const GpgME::Key &key, GpgME::RevocationReason reason=GpgME::RevocationReason::Unspecified, const std::vector< std::string > &description={})=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| RevokeKeyJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## exec()

virtual GpgME::Error QGpgME::RevokeKeyJob::exec | ( | const GpgME::Key & | key,
|  | GpgME::RevocationReason | reason = GpgME::RevocationReason::Unspecified,
|  | const std::vector< std::string > & | description = {} )

pure virtual

Runs the operation. key is the key to revoke with reason reason and optional description description. The individual elements of description must be non-empty strings and they must not contain any endline characters.

Implemented in QGpgME::QGpgMERevokeKeyJob.

## start()

virtual GpgME::Error QGpgME::RevokeKeyJob::start | ( | const GpgME::Key & | key,
|  | GpgME::RevocationReason | reason = GpgME::RevocationReason::Unspecified,
|  | const std::vector< std::string > & | description = {} )

pure virtual

Starts the operation. key is the key to revoke with reason reason and optional description description. The individual elements of description must be non-empty strings and they must not contain any endline characters.

The job deletes itself after it has completed the operation.

Implemented in QGpgME::QGpgMERevokeKeyJob.

The documentation for this class was generated from the following files:

- revokekeyjob.h
- revokekeyjob.cpp